var connect = require('connect')
  , app = connect.createServer()
  , parse = require('url').parse
  , qs = require('querystring')
  , build = require('../bin/build');

app.use(function(req, res, next) {
  var url = parse(req.url)
    , query = url.query ? qs.parse(url.query) : {};

  if (query.callback) {
    var data = { testing: 'test' };
    var body = query.callback + '(' + JSON.stringify(data) + ');';
    res.writeHead(200, {
      'Content-Type': 'application/javascript; charset=utf-8',
      'Content-Length': Buffer.byteLength(body)
    });
    return res.end(body);
  }

  next();
});

app.use('/rondo.js', function(req, res, next) {
  var body = build('lib', 'rondo.js');
  res.writeHead(200, {
    'Content-Type': 'application/javascript; charset=utf-8',
    'Content-Length': Buffer.byteLength(body)
  });
  res.end(body);
});

app.use(connect.static(__dirname));

app.listen(8080);
